当前位置:编程问答 > php >

PHP 5.4.11 安装imagick转载

PHP版本升级为5.4.11,安装imagick。反复安装,没有成功。有在编译阶段报错的,也有编译完成以后,重启httpd出错的。
最后发现原因:
 imagick版本问题。升级php以后,重新安装imagick,第一步想到的是重新安装imagick扩展即可。编译imagick- 3.0.1时报错。这是因为imagick-3.0.1与PHP5.4.11的版本冲突引起的。随后用imagick-3.1.0RC2编译成功。
重新安装ImageMagick ,更换了新的版本,但是老版本没有清除干净。这是个低级错误。所以在后面的工作中,同时存在两个版本的ImageMagick。后来安装imagick扩 展的时候,总是报错。最后,在ImageMagick源代码目录下用make uninstall,以后,再安装,使用最新的imagick-3.1.0RC2,一切顺利。
最后过程:
yum install ImageMagick
wget  http://pecl.php.net/get/imagick-3.1.0RC2.tgz
tar -zxf imagick-3.1.0RC2.tgz
cd imagick-3.1.0RC2/
phpize
./configure –with-php-config=/usr/local/bin/php-config
make
make install
CopyRight © 2012 站长网 编程知识问答 www.zzzyk.com All Rights Reserved
部份技术文章来自网络,